Index: /trunk/install/db/68-database.php
===================================================================
--- /trunk/install/db/68-database.php	(revision 2323)
+++ /trunk/install/db/68-database.php	(revision 2323)
@@ -0,0 +1,55 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'Change type from text to mediumtext for #sessions.data #user_cache.forbidden_categories and #user_cache.image_access_list';
+
+include_once(PHPWG_ROOT_PATH.'include/constants.php');
+
+// +-----------------------------------------------------------------------+
+// |                            Upgrade content                            |
+// +-----------------------------------------------------------------------+
+
+$query = '
+ALTER TABLE '.SESSIONS_TABLE.'
+  MODIFY COLUMN data MEDIUMTEXT NOT NULL';
+pwg_query($query);
+
+$query = '
+ALTER TABLE '.USER_CACHE_TABLE.'
+  MODIFY COLUMN forbidden_categories MEDIUMTEXT,
+  MODIFY COLUMN image_access_list MEDIUMTEXT
+  ';
+pwg_query($query);
+
+echo
+"\n"
+.'"'.$upgrade_description.'"'.' ended'
+."\n"
+;
+
+?>
Index: /trunk/install/phpwebgallery_structure.sql
===================================================================
--- /trunk/install/phpwebgallery_structure.sql	(revision 2322)
+++ /trunk/install/phpwebgallery_structure.sql	(revision 2323)
@@ -267,5 +267,5 @@
 CREATE TABLE `phpwebgallery_sessions` (
   `id` varchar(255) binary NOT NULL default '',
-  `data` text NOT NULL,
+  `data` mediumtext NOT NULL,
   `expiration` datetime NOT NULL default '0000-00-00 00:00:00',
   PRIMARY KEY  (`id`)
@@ -328,8 +328,8 @@
   `user_id` smallint(5) NOT NULL default '0',
   `need_update` enum('true','false') NOT NULL default 'true',
-  `forbidden_categories` text,
+  `forbidden_categories` mediumtext,
   `nb_total_images` mediumint(8) unsigned default NULL,
   `image_access_type` enum('NOT IN','IN') NOT NULL default 'NOT IN',
-  `image_access_list` text default NULL,
+  `image_access_list` mediumtext default NULL,
   PRIMARY KEY  (`user_id`)
 ) TYPE=MyISAM;
Index: /trunk/upgrade_feed.php
===================================================================
--- /trunk/upgrade_feed.php	(revision 2322)
+++ /trunk/upgrade_feed.php	(revision 2323)
@@ -27,5 +27,4 @@
 include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
 include_once(PHPWG_ROOT_PATH.'admin/include/functions_upgrade.php');
-include(PHPWG_ROOT_PATH.'include/template.php');
 include(PHPWG_ROOT_PATH.'include/mysql.inc.php');
 
@@ -72,5 +71,5 @@
 {
   unset($upgrade_description);
-  
+
   echo "\n\n";
   echo '=== upgrade '.$upgrade_id."\n";