Index: /trunk/plugins/LocalFilesEditor/language/it_IT/index.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/language/it_IT/index.php	(revision 2443)
+++ /trunk/plugins/LocalFilesEditor/language/it_IT/index.php	(revision 2443)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php	(revision 2443)
+++ /trunk/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php	(revision 2443)
@@ -0,0 +1,44 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['locfiledit_onglet_localconf'] = 'Configurazione locale';
+$lang['locfiledit_onglet_css'] = 'CSS';
+$lang['locfiledit_onglet_tpl'] = 'Templates';
+$lang['locfiledit_onglet_lang'] = 'Lingue';
+$lang['locfiledit_onglet_plug'] = 'Plugin Personale';
+$lang['locfiledit_cant_save'] = 'Impossibile di scrivere il file. Verificare i permessi (chmod) della directory.';
+$lang['locfiledit_newfile'] = "/* Il file non esiste e sarà creato durante la fase di registrazione con LocalFiles Editor. */";
+$lang['locfiledit_save_config'] = 'Il file è stato salvato.';
+$lang['locfiledit_show_default'] = 'Visualizzare il file ';
+$lang['locfiledit_save_bak'] = 'Una copia di backup del file sarà creata durante la fase di registrazione';
+$lang['locfiledit_saved_bak'] = 'Una copia di backup è stata creata (%s)';
+$lang['locfiledit_save_file'] = 'Registrare il file';
+$lang['locfiledit_choose_file'] = 'Scegliere un file da editare';
+$lang['locfiledit_edit'] = 'Editare';
+$lang['locfiledit_restore'] = 'Caricare il file di backup';
+$lang['locfiledit_restore_confirm'] = 'Volete caricare il file di backup? Dovrete in seguito cliccare sù Registrare per restaurarlo.';
+$lang['locfiledit_bak_loaded1'] = 'Copia di backup caricata';
+$lang['locfiledit_bak_loaded2'] = 'Dovete registrarlo per salvarlo.';
+$lang['locfiledit_syntax_error'] = 'Errore di sintassi! Impossible di registrare il file.';
+
+?>
Index: /trunk/plugins/add_index/language/it_IT/help/advanced_feature.html
===================================================================
--- /trunk/plugins/add_index/language/it_IT/help/advanced_feature.html	(revision 2443)
+++ /trunk/plugins/add_index/language/it_IT/help/advanced_feature.html	(revision 2443)
@@ -0,0 +1,7 @@
+<p>Funzionalità del plugin AddIndex:</p>
+<ul>
+  <li>
+    <strong>Aggiunge e sovrascrive i files "index" per tutti i siti locali:</strong>
+    Copia sovrascrivendo se necessario il file ./include/index.php in tutte le directory dei siti locali.
+  </li>
+<ul>
Index: /trunk/plugins/add_index/language/it_IT/help/index.php
===================================================================
--- /trunk/plugins/add_index/language/it_IT/help/index.php	(revision 2443)
+++ /trunk/plugins/add_index/language/it_IT/help/index.php	(revision 2443)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/add_index/language/it_IT/help/site_manager.html
===================================================================
--- /trunk/plugins/add_index/language/it_IT/help/site_manager.html	(revision 2443)
+++ /trunk/plugins/add_index/language/it_IT/help/site_manager.html	(revision 2443)
@@ -0,0 +1,7 @@
+<p>Funzionalità del plugin AddIndex:</p>
+<ul>
+  <li>
+    <strong>Aggiunge i files "index" per il sito locale:</strong>
+    Copia il file ./include/index.php in tutte le directory del sito selezzionato.
+  </li>
+<ul>
Index: /trunk/plugins/add_index/language/it_IT/index.php
===================================================================
--- /trunk/plugins/add_index/language/it_IT/index.php	(revision 2443)
+++ /trunk/plugins/add_index/language/it_IT/index.php	(revision 2443)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/add_index/language/it_IT/plugin.lang.php
===================================================================
--- /trunk/plugins/add_index/language/it_IT/plugin.lang.php	(revision 2443)
+++ /trunk/plugins/add_index/language/it_IT/plugin.lang.php	(revision 2443)
@@ -0,0 +1,39 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Add_Index'] = 'Aggiunge dei files "index"';
+$lang['Advanced_Add_Index'] = 'Aggiunge e sovrascrive i files "index" per tutti i siti locali';
+$lang['Manager_Add_Index'] = 'Aggiunta dei "index"';
+
+$lang['add_index_file_copied'] = '%s copiati';
+$lang['add_index_file_not_copied'] = '%s non copiati';
+$lang['add_index_not_local_site'] = '%s [%d] è un sito remoto, non è compatibile con l\'aggiunta dei files "index"';
+$lang['add_index_nb_copied_file'] = '%d file copiato';
+$lang['add_index_nb_copied_files'] = '%d files copiati';
+$lang['add_index_nb_skipped_file'] = '%d file non trattato';
+$lang['add_index_nb_skipped_files'] = '%d files non trattati';
+$lang['add_index_nb_not_copied_file'] = '%d file non copiato';
+$lang['add_index_nb_not_copied_files'] = '%d files non copiati';
+$lang['add_index_src_file_dont_exists'] = 'Il file sorgente non esiste, impossibile di dupplicarlo';
+
+?>