Index: /trunk/admin/template/yoga/admin/check_integrity.tpl
===================================================================
--- /trunk/admin/template/yoga/admin/check_integrity.tpl	(revision 2514)
+++ /trunk/admin/template/yoga/admin/check_integrity.tpl	(revision 2515)
@@ -4,5 +4,5 @@
   <dd>
     <ul>
-      <form method="post" name="c13y" id="c13y" action="{$F_C13Y_ACTION}">
+      <form method="post" name="c13y" id="c13y" action="">
       <fieldset>
         <table class="table2">
Index: /trunk/admin/template/yoga/admin/extend_for_templates.tpl
===================================================================
--- /trunk/admin/template/yoga/admin/extend_for_templates.tpl	(revision 2514)
+++ /trunk/admin/template/yoga/admin/extend_for_templates.tpl	(revision 2515)
@@ -4,5 +4,5 @@
 {if isset($extents)}
 <h4>{'Replacement of original templates'|@translate}</h4>
-<form method="post" name="extend_for_templates" id="extend_for_templates" action="{$F_ACTION}">
+<form method="post" name="extend_for_templates" id="extend_for_templates" action="">
   <table class="table2">
     <tr class="throw">
Index: /trunk/include/category_cats.inc.php
===================================================================
--- /trunk/include/category_cats.inc.php	(revision 2514)
+++ /trunk/include/category_cats.inc.php	(revision 2515)
@@ -33,7 +33,6 @@
   $query = '
 SELECT
-  id, name, permalink, representative_picture_id, comment, nb_images, uppercats,
-  date_last, max_date_last, count_images, count_categories, global_rank
-  FROM '.CATEGORIES_TABLE.' INNER JOIN '.USER_CACHE_CATEGORIES_TABLE.'
+  c.*, nb_images, date_last, max_date_last, count_images, count_categories
+  FROM '.CATEGORIES_TABLE.' c INNER JOIN '.USER_CACHE_CATEGORIES_TABLE.'
   ON id = cat_id and user_id = '.$user['id'].'
   WHERE date_last >= SUBDATE(
@@ -55,7 +54,6 @@
   $query = '
 SELECT
-  id, name, permalink, representative_picture_id, comment, nb_images, uppercats,
-  date_last, max_date_last, count_images, count_categories
-  FROM '.CATEGORIES_TABLE.' INNER JOIN '.USER_CACHE_CATEGORIES_TABLE.'
+  c.*, nb_images, date_last, max_date_last, count_images, count_categories
+  FROM '.CATEGORIES_TABLE.' c INNER JOIN '.USER_CACHE_CATEGORIES_TABLE.'
   ON id = cat_id and user_id = '.$user['id'].'
   WHERE id_uppercat '.
@@ -246,6 +244,6 @@
           'ID'    => $category['id'],
           'TN_SRC'   => $thumbnail_src_of[$category['representative_picture_id']],
-          'ALT'   => strip_tags($category['name']),
-          'ICON'  => $icon_ts,
+          'TN_ALT'   => strip_tags($category['name']),
+          'ICON_TS'  => $icon_ts,
 
           'URL'   => make_index_url(
Index: /trunk/include/category_default.inc.php
===================================================================
--- /trunk/include/category_default.inc.php	(revision 2514)
+++ /trunk/include/category_default.inc.php	(revision 2515)
@@ -108,9 +108,9 @@
     array(
       'ID'            => $row['id'],
-      'IMAGE'         => $thumbnail_url,
-      'IMAGE_ALT'     => $row['file'],
-      'IMAGE_TITLE'   => get_thumbnail_title($row),
-      'IMAGE_TS'      => get_icon($row['date_available']),
-      'U_IMG_LINK'    => $url,
+      'TN_SRC'         => $thumbnail_url,
+      'TN_ALT'     => $row['file'],
+      'TN_TITLE'   => get_thumbnail_title($row),
+      'ICON_TS'      => get_icon($row['date_available']),
+      'URL'    => $url,
     );
 
@@ -148,5 +148,5 @@
     }
 
-    $tpl_var['ELEMENT_NAME'] = $name;
+    $tpl_var['NAME'] = $name;
   }
 
Index: /trunk/include/menubar.inc.php
===================================================================
--- /trunk/include/menubar.inc.php	(revision 2514)
+++ /trunk/include/menubar.inc.php	(revision 2515)
@@ -267,4 +267,5 @@
         array(
           'U_LOGIN' => get_root_url().'identification.php',
+          'U_LOST_PASSWORD' => get_root_url().'password.php',
           'AUTHORIZE_REMEMBERING' => $conf['authorize_remembering']
         )
Index: /trunk/template-extension/distributed/samples/my-thumbnails.tpl
===================================================================
--- /trunk/template-extension/distributed/samples/my-thumbnails.tpl	(revision 2514)
+++ /trunk/template-extension/distributed/samples/my-thumbnails.tpl	(revision 2515)
@@ -7,12 +7,12 @@
 	<span class="wrap1">
 		<span class="wrap2">
-		<a href="{$thumbnail.U_IMG_LINK}">
-			<img class="thumbnail" src="{$thumbnail.IMAGE}" alt="{$thumbnail.IMAGE_ALT}" title="{$thumbnail.IMAGE_TITLE}" />
+		<a href="{$thumbnail.URL}">
+			<img class="thumbnail" src="{$thumbnail.TN_SRC}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" />
 		</a>
 		</span>
 		<span class="thumbLegend" style="color:#F36;">
     &copy; 2008 Piwigo<br />
-		{if !empty($thumbnail.ELEMENT_NAME)}{$thumbnail.ELEMENT_NAME}{/if}
-		{if !empty($thumbnail.IMAGE_TS)}{$thumbnail.IMAGE_TS}{/if}
+		{if !empty($thumbnail.NAME)}{$thumbnail.NAME}{/if}
+		{if !empty($thumbnail.ICON_TS)}{$thumbnail.ICON_TS}{/if}
 
 		{if isset($thumbnail.NB_COMMENTS)}
Index: /trunk/template-extension/distributed/samples/my-thumbnails2.tpl
===================================================================
--- /trunk/template-extension/distributed/samples/my-thumbnails2.tpl	(revision 2514)
+++ /trunk/template-extension/distributed/samples/my-thumbnails2.tpl	(revision 2515)
@@ -8,8 +8,8 @@
 	<fieldset class="fld1">
 		<legend class="thumbLegend">
-		{if !empty($thumbnail.ELEMENT_NAME)}{$thumbnail.ELEMENT_NAME}{/if}
+		{if !empty($thumbnail.NAME)}{$thumbnail.NAME}{/if}
 		</legend>
-		<a href="{$thumbnail.U_IMG_LINK}" class="lap2">
-			<span><img class="thumbnail" src="{$thumbnail.IMAGE}" alt="{$thumbnail.IMAGE_ALT}" title="{$thumbnail.IMAGE_TITLE}" /></span>
+		<a href="{$thumbnail.URL}" class="lap2">
+			<span><img class="thumbnail" src="{$thumbnail.TN_SRC}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" /></span>
 		</a>
   </fieldset>
Index: /trunk/template/yoga/mainpage_categories.tpl
===================================================================
--- /trunk/template/yoga/mainpage_categories.tpl	(revision 2514)
+++ /trunk/template/yoga/mainpage_categories.tpl	(revision 2515)
@@ -2,26 +2,28 @@
 
 <ul class="thumbnailCategories">
-  {foreach from=$category_thumbnails item=cat}
-  <li>
-    <div class="thumbnailCategory">
-      <div class="illustration">
-        <a href="{$cat.URL}">
-          <img src="{$cat.TN_SRC}" alt="{$cat.ALT}" title="{'hint_category'|@translate}">
-        </a>
-      </div>
-      <div class="description">
-        <h3>
-          <a href="{$cat.URL}">{$cat.NAME}</a>
-          {$cat.ICON}
-        </h3>
-        {if isset($cat.INFO_DATES) }
-        <p>{$cat.INFO_DATES}</p>
-        {/if}
-        <p>{$cat.CAPTION_NB_IMAGES}</p>
-        <p>{$cat.DESCRIPTION}</p>
-      </div>
-    </div>
-  </li>
-  {/foreach}
+{foreach from=$category_thumbnails item=cat}
+	<li>
+		<div class="thumbnailCategory">
+			<div class="illustration">
+			<a href="{$cat.URL}">
+				<img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{'hint_category'|@translate}">
+			</a>
+			</div>
+			<div class="description">
+				<h3>
+					<a href="{$cat.URL}">{$cat.NAME}</a>
+					{$cat.ICON_TS}
+				</h3>
+				{if isset($cat.INFO_DATES) }
+				<p>{$cat.INFO_DATES}</p>
+				{/if}
+				<p>{$cat.CAPTION_NB_IMAGES}</p>
+				{if not empty($cat.DESCRIPTION)}
+				<p>{$cat.DESCRIPTION}</p>
+				{/if}
+			</div>
+		</div>
+	</li>
+{/foreach}
 </ul>
 
Index: /trunk/template/yoga/thumbnails.tpl
===================================================================
--- /trunk/template/yoga/thumbnails.tpl	(revision 2514)
+++ /trunk/template/yoga/thumbnails.tpl	(revision 2515)
@@ -7,13 +7,11 @@
 	<span class="wrap1">
 		<span class="wrap2">
-		<a href="{$thumbnail.U_IMG_LINK}">
-			<img class="thumbnail" src="{$thumbnail.IMAGE}" alt="{$thumbnail.IMAGE_ALT}" title="{$thumbnail.IMAGE_TITLE}" />
+		<a href="{$thumbnail.URL}">
+			<img class="thumbnail" src="{$thumbnail.TN_SRC}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" />
 		</a>
 		</span>
 		<span class="thumbLegend">
-
-		{if !empty($thumbnail.ELEMENT_NAME)}{$thumbnail.ELEMENT_NAME}{/if}
-		{if !empty($thumbnail.IMAGE_TS)}{$thumbnail.IMAGE_TS}{/if}
-
+		{$thumbnail.NAME|@default}
+		{$thumbnail.ICON_TS}
 		{if isset($thumbnail.NB_COMMENTS)}
 		<span class="{if 0==$thumbnail.NB_COMMENTS}zero {/if}nb-comments">