Index: branches/2.0/plugins/add_index/language/de_DE/help/advanced_feature.html
===================================================================
--- branches/2.0/plugins/add_index/language/de_DE/help/advanced_feature.html	(revision 2711)
+++ branches/2.0/plugins/add_index/language/de_DE/help/advanced_feature.html	(revision 2711)
@@ -0,0 +1,7 @@
+<p>Funktionalität von AddIndex-Plugin:</p>
+<ul>
+  <li>
+    <strong>Hinzufügen und überschreiben "Index"-Dateien für alle lokalen Websites:</strong>
+    Überschreiben und kopieren die Datei ./include/index.php auf alle Unter-Verzeichnisse von lokalen Websites Gallerie .
+  </li>
+<ul>
Index: branches/2.0/plugins/add_index/language/de_DE/help/index.php
===================================================================
--- branches/2.0/plugins/add_index/language/de_DE/help/index.php	(revision 2711)
+++ branches/2.0/plugins/add_index/language/de_DE/help/index.php	(revision 2711)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/plugins/add_index/language/de_DE/help/site_manager.html
===================================================================
--- branches/2.0/plugins/add_index/language/de_DE/help/site_manager.html	(revision 2711)
+++ branches/2.0/plugins/add_index/language/de_DE/help/site_manager.html	(revision 2711)
@@ -0,0 +1,7 @@
+<p>Funktionalität von AddIndex-Plugin:</p>
+<ul>
+  <li>
+    <strong>Hinzufügen "Index"-Dateien für die lokale Website:</strong>
+    Kopieren die Datei ./include/index.php auf alle Unter-Verzeichnisse von ausgewählten lokalen Website.
+  </li>
+<ul>
Index: branches/2.0/plugins/add_index/language/de_DE/index.php
===================================================================
--- branches/2.0/plugins/add_index/language/de_DE/index.php	(revision 2711)
+++ branches/2.0/plugins/add_index/language/de_DE/index.php	(revision 2711)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/plugins/add_index/language/de_DE/plugin.lang.php
===================================================================
--- branches/2.0/plugins/add_index/language/de_DE/plugin.lang.php	(revision 2711)
+++ branches/2.0/plugins/add_index/language/de_DE/plugin.lang.php	(revision 2711)
@@ -0,0 +1,39 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Add_Index'] = 'Hinzufügen "Index"-Dateien';
+$lang['Advanced_Add_Index'] = 'Hinzufügen und überschreiben "Index"-Dateien für alle lokalen Standorte';
+$lang['Manager_Add_Index'] = 'Hinzufügen "Index"';
+
+$lang['add_index_file_copied'] = '%s kopiert';
+$lang['add_index_file_not_copied'] = '%s nicht kopiert';
+$lang['add_index_not_local_site'] = '%s [%d] ist eine Remote-Website. Es ist kompatibel mit hinzufügen "Index"-Dateien.';
+$lang['add_index_nb_copied_file'] = '%d Datei kopiert';
+$lang['add_index_nb_copied_files'] = '%d Dateien kopiert';
+$lang['add_index_nb_skipped_file'] = '%d Datei übersprungen';
+$lang['add_index_nb_skipped_files'] = '%d Dateien übersprungen';
+$lang['add_index_nb_not_copied_file'] = '%d Datei nicht kopiert';
+$lang['add_index_nb_not_copied_files'] = '%d Dateien nicht kopiert';
+$lang['add_index_src_file_dont_exists'] = 'Quelldatei %s ist nicht vorhanden, kann nicht duplizieren diese Datei';
+
+?>