Index: branches/2.0/admin/template/goto/cat_modify.tpl
===================================================================
--- branches/2.0/admin/template/goto/cat_modify.tpl	(revision 2713)
+++ branches/2.0/admin/template/goto/cat_modify.tpl	(revision 2719)
@@ -2,4 +2,5 @@
 
 {include file='include/autosize.inc.tpl'}
+{include file='include/resize.inc.tpl'}
 
 <div class="titrePage">
Index: branches/2.0/admin/template/goto/cat_move.tpl
===================================================================
--- branches/2.0/admin/template/goto/cat_move.tpl	(revision 2713)
+++ branches/2.0/admin/template/goto/cat_move.tpl	(revision 2719)
@@ -1,3 +1,5 @@
 {* $Id$ *}
+
+{include file='include/resize.inc.tpl'}
 
 <div class="titrePage">
Index: branches/2.0/admin/template/goto/double_select.tpl
===================================================================
--- branches/2.0/admin/template/goto/double_select.tpl	(revision 2713)
+++ branches/2.0/admin/template/goto/double_select.tpl	(revision 2719)
@@ -1,20 +1,5 @@
 {* $Id$ *}
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
-{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.resizable.packed.js"}
 
-<script type="text/javascript">
-  jQuery().ready(function(){ldelim}
-    jQuery(".doubleSelect select.categoryList").resizable({ldelim}
-    handles: "w,e",
-    animate: true,
-    animateDuration: "slow",
-    animateEasing: "swing",
-    preventDefault: true,
-    preserveCursor: true,
-    autoHide: true,
-    ghost: true
-    });
-  });
-</script>
+{include file='include/dbselect.inc.tpl'}
 
 <table class="doubleSelect">
Index: branches/2.0/admin/template/goto/include/dbselect.inc.tpl
===================================================================
--- branches/2.0/admin/template/goto/include/dbselect.inc.tpl	(revision 2719)
+++ branches/2.0/admin/template/goto/include/dbselect.inc.tpl	(revision 2719)
@@ -0,0 +1,23 @@
+{* $Id$ *}
+{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
+{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.resizable.packed.js"}
+
+{* Resize possible *}
+{literal}
+<script type="text/javascript">
+  jQuery().ready(function(){
+    // Resize possible for double select list
+    jQuery(".doubleSelect select.categoryList").resizable({
+      handles: "w,e",
+      animate: true,
+      animateDuration: "slow",
+      animateEasing: "swing",
+      preventDefault: true,
+      preserveCursor: true,
+      autoHide: true,
+      ghost: true
+    });
+  });
+</script>
+{/literal}
Index: branches/2.0/admin/template/goto/include/resize.inc.tpl
===================================================================
--- branches/2.0/admin/template/goto/include/resize.inc.tpl	(revision 2719)
+++ branches/2.0/admin/template/goto/include/resize.inc.tpl	(revision 2719)
@@ -0,0 +1,23 @@
+{* $Id$ *}
+{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
+{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.resizable.packed.js"}
+
+{* Resize possible *}
+{literal}
+<script type="text/javascript">
+  jQuery().ready(function(){
+    // Resize possible for list
+    jQuery(".categoryList").resizable({
+      handles: "all",
+      animate: true,
+      animateDuration: "slow",
+      animateEasing: "swing",
+      preventDefault: true,
+      preserveCursor: true,
+      autoHide: true,
+      ghost: true
+    });
+  });
+</script>
+{/literal}
Index: branches/2.0/admin/template/goto/picture_modify.tpl
===================================================================
--- branches/2.0/admin/template/goto/picture_modify.tpl	(revision 2713)
+++ branches/2.0/admin/template/goto/picture_modify.tpl	(revision 2719)
@@ -2,4 +2,5 @@
 
 {include file='include/autosize.inc.tpl'}
+{include file='include/dbselect.inc.tpl'}
 {include file='include/datepicker.inc.tpl'}
 
Index: branches/2.0/admin/template/goto/site_update.tpl
===================================================================
--- branches/2.0/admin/template/goto/site_update.tpl	(revision 2713)
+++ branches/2.0/admin/template/goto/site_update.tpl	(revision 2719)
@@ -1,3 +1,5 @@
 {* $Id$ *}
+
+{include file='include/resize.inc.tpl'}
 
 <div class="titrePage">