Index: trunk/admin/cat_modify.php
===================================================================
--- trunk/admin/cat_modify.php	(revision 2773)
+++ trunk/admin/cat_modify.php	(revision 2777)
@@ -236,4 +236,5 @@
   array(
     'CATEGORIES_NAV'     => $navigation,
+    'CAT_ID'             => $category['id'],
     'CAT_NAME'           => @htmlspecialchars($category['name']),
     'CAT_COMMENT'        => @htmlspecialchars($category['comment']),
Index: trunk/admin/include/functions.php
===================================================================
--- trunk/admin/include/functions.php	(revision 2773)
+++ trunk/admin/include/functions.php	(revision 2777)
@@ -1900,3 +1900,26 @@
   }
 }
+
+/**
+ * Is the category accessible to the (Admin) user ?
+ *
+ * Note : if the user is not authorized to see this category, category jump
+ * will be replaced by admin cat_modify page
+ *
+ * @param int category id to verify
+ * @return bool
+ */
+function cat_admin_access($category_id)
+{
+  global $user;
+
+  // $filter['visible_categories'] and $filter['visible_images']
+  // are not used because it's not necessary (filter <> restriction)
+  if (in_array($category_id, explode(',', $user['forbidden_categories'])))
+  {
+    return false;
+  }
+  return true;
+}
+
 ?>
Index: trunk/admin/template/goto/cat_list.tpl
===================================================================
--- trunk/admin/template/goto/cat_list.tpl	(revision 2773)
+++ trunk/admin/template/goto/cat_list.tpl	(revision 2777)
@@ -49,5 +49,7 @@
       <!-- category {$category.ID} -->
       <ul class="categoryActions">
+        {if cat_admin_access($category.ID)}
         <li><a href="{$category.U_JUMPTO}" title="{'jump to category'|@translate}"><img src="{$themeconf.admin_icon_dir}/category_jump-to.png" class="button" alt="{'jump to category'|@translate}" /></a></li>
+        {/if}
         <li><a href="{$category.U_EDIT}" title="{'edit category informations'|@translate}"><img src="{$themeconf.admin_icon_dir}/category_edit.png" class="button" alt="{'edit'|@translate}"/></a></li>
         {if isset($category.U_MANAGE_ELEMENTS) }
Index: trunk/admin/template/goto/cat_modify.tpl
===================================================================
--- trunk/admin/template/goto/cat_modify.tpl	(revision 2773)
+++ trunk/admin/template/goto/cat_modify.tpl	(revision 2777)
@@ -11,5 +11,7 @@
 
 <ul class="categoryActions">
+  {if cat_admin_access($CAT_ID)}
   <li><a href="{$U_JUMPTO}" title="{'jump to category'|@translate}"><img src="{$themeconf.admin_icon_dir}/category_jump-to.png" class="button" alt="{'jump to category'|@translate}" /></a></li>
+  {/if}
   {if isset($U_MANAGE_ELEMENTS) }
   <li><a href="{$U_MANAGE_ELEMENTS}" title="{'manage category elements'|@translate}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_elements.png" class="button" alt="{'elements'|@translate}" /></a></li>
Index: trunk/admin/template/goto/picture_modify.tpl
===================================================================
--- trunk/admin/template/goto/picture_modify.tpl	(revision 2773)
+++ trunk/admin/template/goto/picture_modify.tpl	(revision 2777)
@@ -19,5 +19,7 @@
   <li><a href="{$U_JUMPTO}" title="{'jump to image'|@translate}"><img src="{$themeconf.admin_icon_dir}/category_jump-to.png" class="button" alt="{'jump to image'|@translate}" /></a></li>
   {/if}
+  {if !url_is_remote($path)}
   <li><a href="{$U_SYNC}" title="{'synchronize metadata'|@translate}" {$TAG_INPUT_ENABLED}><img src="{$themeconf.admin_icon_dir}/sync_metadata.png" class="button" alt="{'synchronize'|@translate}" /></a></li>
+  {/if}
 </ul>
 
Index: trunk/include/constants.php
===================================================================
--- trunk/include/constants.php	(revision 2773)
+++ trunk/include/constants.php	(revision 2777)
@@ -24,9 +24,9 @@
 // Default settings
 define('PHPWG_VERSION', 'Colibri');
-define('PHPWG_DOMAIN', 'phpwebgallery.net');
+define('PHPWG_DOMAIN', 'piwigo.org');
 define('PHPWG_URL', 'http://www.'.PHPWG_DOMAIN);
 define('PEM_URL', 'http://' . PHPWG_DOMAIN . '/ext_new'); /* need to be changed on final release */
 define('PHPWG_DEFAULT_LANGUAGE', 'en_UK');
-define('PHPWG_DEFAULT_TEMPLATE', 'yoga/clear');
+define('PHPWG_DEFAULT_TEMPLATE', 'yoga/Sylvia');
 
 // Required versions