Index: /branches/2.0/plugins/admin_advices/adv_set.php
===================================================================
--- /branches/2.0/plugins/admin_advices/adv_set.php	(revision 2792)
+++ /branches/2.0/plugins/admin_advices/adv_set.php	(revision 2793)
@@ -173,3 +173,9 @@
 $adv['n'][33] = '**' . $lang['navigation'];
 
+$adv['n'][34] = 'compiled_template_cache_language';
+$adv['v'][34] = sprintf($lang['current'], (($conf['compiled_template_cache_language'])? 'true':'false' ));
+
+$adv['n'][35] = 'template_compile_check';
+$adv['v'][35] = sprintf($lang['current'], (($conf['template_compile_check'])? 'true':'false' ));
+
 ?>
Index: /branches/2.0/plugins/admin_advices/language/de_DE/plugin.lang.php
===================================================================
--- /branches/2.0/plugins/admin_advices/language/de_DE/plugin.lang.php	(revision 2792)
+++ /branches/2.0/plugins/admin_advices/language/de_DE/plugin.lang.php	(revision 2793)
@@ -155,3 +155,15 @@
 $lang['Adv_case'][33] = array( /* **navigation */
  'Sie können mit der Tastatur Pfeile zum Navigieren zwischen den Bildern.', );
+$lang['Adv_case'][34] = array( /* compiled_template_cache_language */
+ 'Should be false, translation will be done at user request time.',
+ 'If you are using one language (you kept only one subdirectory language)',
+ 'or through a plugin you forced all user to have the same language,',
+ 'you should consider to set it true.',
+ 'Setting it true, template @translate are done at compilation time.' );
+$lang['Adv_case'][35] = array( /* template_compile_check */
+ 'Default is true, template changes are detected and the template is compiled.',
+ 'If you are not updating template any more for several days, ',
+ 'you should consider to set it false.',
+ 'Choosing false, template changes are not detected, this improves response time.',
+ 'Anyway Specials > Maintenance > Purge compiled templates, is recommended after this $conf change.' );
 ?>
Index: /branches/2.0/plugins/admin_advices/language/en_UK/plugin.lang.php
===================================================================
--- /branches/2.0/plugins/admin_advices/language/en_UK/plugin.lang.php	(revision 2792)
+++ /branches/2.0/plugins/admin_advices/language/en_UK/plugin.lang.php	(revision 2793)
@@ -155,3 +155,15 @@
 $lang['Adv_case'][33] = array( /* **navigation */
  'You can use keyboard arrows to navigate between pictures.', );
+$lang['Adv_case'][34] = array( /* compiled_template_cache_language */
+ 'Should be false, translation will be done at user request time.',
+ 'If you are using one language (you kept only one subdirectory language)',
+ 'or through a plugin you forced all user to have the same language,',
+ 'you should consider to set it true.',
+ 'Setting it true, template @translate are done at compilation time.' );
+$lang['Adv_case'][35] = array( /* template_compile_check */
+ 'Default is true, template changes are detected and the template is compiled.',
+ 'If you are not updating template any more for several days, ',
+ 'you should consider to set it false.',
+ 'Choosing false, template changes are not detected, this improves response time.',
+ 'Anyway Specials > Maintenance > Purge compiled templates, is recommended after this $conf change.' );
 ?>
Index: /branches/2.0/plugins/admin_advices/language/es_ES/plugin.lang.php
===================================================================
--- /branches/2.0/plugins/admin_advices/language/es_ES/plugin.lang.php	(revision 2792)
+++ /branches/2.0/plugins/admin_advices/language/es_ES/plugin.lang.php	(revision 2793)
@@ -155,3 +155,15 @@
 $lang['Adv_case'][33] = array( /* **navigation */
  'You can use keyboard arrows to navigate between pictures.', );
+$lang['Adv_case'][34] = array( /* compiled_template_cache_language */
+ 'Should be false, translation will be done at user request time.',
+ 'If you are using one language (you kept only one subdirectory language)',
+ 'or through a plugin you forced all user to have the same language,',
+ 'you should consider to set it true.',
+ 'Setting it true, template @translate are done at compilation time.' );
+$lang['Adv_case'][35] = array( /* template_compile_check */
+ 'Default is true, template changes are detected and the template is compiled.',
+ 'If you are not updating template any more for several days, ',
+ 'you should consider to set it false.',
+ 'Choosing false, template changes are not detected, this improves response time.',
+ 'Anyway Specials > Maintenance > Purge compiled templates, is recommended after this $conf change.' );
 ?>
Index: /branches/2.0/plugins/admin_advices/language/fr_FR/plugin.lang.php
===================================================================
--- /branches/2.0/plugins/admin_advices/language/fr_FR/plugin.lang.php	(revision 2792)
+++ /branches/2.0/plugins/admin_advices/language/fr_FR/plugin.lang.php	(revision 2793)
@@ -157,3 +157,15 @@
 $lang['Adv_case'][33] = array( /* **navigation */
  'Vous pouvez utiliser les flèches du clavier pour naviguer entre les images.', );
+$lang['Adv_case'][34] = array( /* compiled_template_cache_language */
+ 'Devrait être à false, la traduction sera effectuée au moment de la demande de l\'utilisateur.',
+ 'Si vous n'utilisez qu\'une seule langue (vous n\'aurez conservé qu\'un sous-répertoire language)',
+ 'ou via un plugin si vous forcez tous les utilisateurs a utiliser le même langage,',
+ 'vous devriez envisager la valeur true.',
+ 'Positionné à true, les @translate des templates seront réalisés au moment de la compilation.' );
+$lang['Adv_case'][35] = array( /* template_compile_check */
+ 'Par défaut à true, toute modification de template est détectée et le template modifié est recompilé.',
+ 'Si vous ne modifiez plus vos templates pendant plusieurs jours, ',
+ 'vous devriez envisager la valeur false.',
+ 'En choisissant false, les modifications de template ne sont plus détectées, ceci améliore les temps de réponse.',
+ 'Dans tous les cas Spéciales > Maintenance > Purger les templates compilés, est recommandé après une modification de cette $conf.' );
 ?>
Index: /branches/2.0/plugins/admin_advices/language/it_IT/plugin.lang.php
===================================================================
--- /branches/2.0/plugins/admin_advices/language/it_IT/plugin.lang.php	(revision 2792)
+++ /branches/2.0/plugins/admin_advices/language/it_IT/plugin.lang.php	(revision 2793)
@@ -157,3 +157,15 @@
 $lang['Adv_case'][33] = array( /* **navigation */
  'Potrete usare le frecce della tastiera per navigare tra le foto.', );
+$lang['Adv_case'][34] = array( /* compiled_template_cache_language */
+ 'Should be false, translation will be done at user request time.',
+ 'If you are using one language (you kept only one subdirectory language)',
+ 'or through a plugin you forced all user to have the same language,',
+ 'you should consider to set it true.',
+ 'Setting it true, template @translate are done at compilation time.' );
+$lang['Adv_case'][35] = array( /* template_compile_check */
+ 'Default is true, template changes are detected and the template is compiled.',
+ 'If you are not updating template any more for several days, ',
+ 'you should consider to set it false.',
+ 'Choosing false, template changes are not detected, this improves response time.',
+ 'Anyway Specials > Maintenance > Purge compiled templates, is recommended after this $conf change.' );
 ?>